Package org.apache.wiki.api.filters

## Class BasicPageFilter

- java.lang.Object
- - org.apache.wiki.api.filters.BasePageFilter
  - - org.apache.wiki.api.filters.BasicPageFilter

All Implemented Interfaces:
  `PageFilter`

    @Deprecated
    public class BasicPageFilter
    extends BasePageFilter

Deprecated.
use `BasePageFilter` instead
Hooks all filters not using the public api into it.

See Also:
  `BasePageFilter`

### Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

### Constructor Summary

Constructors
`BasicPageFilter()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `destroy​(Engine engine)` Deprecated.
`void` `destroy​(WikiEngine engine)` Deprecated.
`void` `initialize​(WikiEngine engine, java.util.Properties properties)` Deprecated.
`void` `postSave​(Context wikiContext, java.lang.String content)` Deprecated.
`void` `postSave​(WikiContext wikiContext, java.lang.String content)` Deprecated.
`java.lang.String` `postTranslate​(Context wikiContext, java.lang.String htmlContent)` Deprecated.
`java.lang.String` `postTranslate​(WikiContext wikiContext, java.lang.String htmlContent)` Deprecated.
`java.lang.String` `preSave​(Context wikiContext, java.lang.String content)` Deprecated.
`java.lang.String` `preSave​(WikiContext wikiContext, java.lang.String content)` Deprecated.
`java.lang.String` `preTranslate​(Context wikiContext, java.lang.String content)` Deprecated.
`java.lang.String` `preTranslate​(WikiContext wikiContext, java.lang.String content)` Deprecated.

### Methods inherited from class org.apache.wiki.api.filters.BasePageFilter

`initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicPageFilter

    public BasicPageFilter()

Deprecated.

### Method Detail

#### initialize

    public void initialize​(WikiEngine engine,
                           java.util.Properties properties)
                    throws FilterException

Deprecated.

Throws:
  `FilterException`

#### preTranslate

    public java.lang.String preTranslate​(WikiContext wikiContext,
                                         java.lang.String content)
                                  throws FilterException

Deprecated.

Throws:
  `FilterException`

#### preTranslate

    public java.lang.String preTranslate​(Context wikiContext,
                                         java.lang.String content)
                                  throws FilterException

Deprecated.

Throws:
  `FilterException`

#### postTranslate

    public java.lang.String postTranslate​(WikiContext wikiContext,
                                          java.lang.String htmlContent)
                                   throws FilterException

Deprecated.

Throws:
  `FilterException`

#### postTranslate

    public java.lang.String postTranslate​(Context wikiContext,
                                          java.lang.String htmlContent)
                                   throws FilterException

Deprecated.

Throws:
  `FilterException`

#### preSave

    public java.lang.String preSave​(WikiContext wikiContext,
                                    java.lang.String content)
                             throws FilterException

Deprecated.

Throws:
  `FilterException`

#### preSave

    public java.lang.String preSave​(Context wikiContext,
                                    java.lang.String content)
                             throws FilterException

Deprecated.

Throws:
  `FilterException`

#### postSave

    public void postSave​(WikiContext wikiContext,
                         java.lang.String content)
                  throws FilterException

Deprecated.

Throws:
  `FilterException`

#### postSave

    public void postSave​(Context wikiContext,
                         java.lang.String content)
                  throws FilterException

Deprecated.

Throws:
  `FilterException`

#### destroy

    public void destroy​(WikiEngine engine)

Deprecated.

#### destroy

    public void destroy​(Engine engine)

Deprecated.